AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SumerianSceneLoadingComponentCore
  - SumerianSceneLoadingComponentIonic

## Index

### Constructors

- constructor

### Properties

- AmplifyUI
- loadPercentage
- sceneError
- sceneName

## Constructors

### constructor

- new SumerianSceneLoadingComponentIonic(): SumerianSceneLoadingComponentIonic

- Overrides SumerianSceneLoadingComponentCore.constructor

  - Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene-loading.component.ionic.ts:86

  #### Returns SumerianSceneLoadingComponentIonic

## Properties

### AmplifyUI

AmplifyUI: AmplifyUI

Inherited from SumerianSceneLoadingComponentCore.AmplifyUI

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene-loading.component.core.ts:91

### loadPercentage

loadPercentage: number

Inherited from SumerianSceneLoadingComponentCore.loadPercentage

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene-loading.component.core.ts:87

### sceneError

sceneError: string | null

Inherited from SumerianSceneLoadingComponentCore.sceneError

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene-loading.component.core.ts:89

### sceneName

sceneName: string

Inherited from SumerianSceneLoadingComponentCore.sceneName

- Defined in aws-amplify-angular/src/components/xr/sumerian-scene-component/sumerian-scene-loading.component.core.ts:88